Cancel a custom label

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api.documentation.omnicado.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "omnicado MCP server": {
    "url": "https://api.documentation.omnicado.com/mcp"
  }
}

Close
DELETE /labels/custom/{reference}

Cancels the parcel with the carrier (Packeta, GLS, PPL). DPD shipments cannot be cancelled through the API; cancel them in DPD. A cancelled reference cannot be used again.

Path parameters

  • reference string Required

    The reference the label was printed with

Responses

  • 200 application/json

    Label cancelled

    Hide response attributes Show response attributes object
    • reference string
    • cancelled boolean
  • 404 application/json

    label_not_found

    Hide response attributes Show response attributes object
    • error string
    • code string

      Machine-readable reason, listed with each response

  • 422 application/json

    cancel_not_supported (DPD)

    Hide response attributes Show response attributes object
    • error string
    • code string

      Machine-readable reason, listed with each response

  • 502 application/json

    carrier_error

    Hide response attributes Show response attributes object
    • error string
    • code string

      Machine-readable reason, listed with each response

DELETE /labels/custom/{reference}
curl \
 --request DELETE 'api.services.omnicado.com/api/v2/labels/custom/ESHOP-2026-004211' \
 --header "X-OMNICADO-TOKEN: $API_KEY"
Response examples (200)
{
  "reference": "ESHOP-2026-004211",
  "cancelled": true
}
Response examples (404)
{
  "error": "Carrier ppl is not installed on this account",
  "code": "carrier_not_installed"
}
Response examples (422)
{
  "error": "Carrier ppl is not installed on this account",
  "code": "carrier_not_installed"
}
Response examples (502)
{
  "error": "Carrier ppl is not installed on this account",
  "code": "carrier_not_installed"
}